IF Installation instructions
=============================

The current release is only supported on UNIX-like platforms.

Please UNINSTALL all previous versions of IF before installing this version.


o Prerequisites

  . Install standard C++ development tools i.e., gcc, make, flex, bison, m4.

  . Install the Apache Xerces C++ XML Parser (http://xerces.apache.org/xerces-c):

    . on Linux: 
        $ sudo apt-get install -y libxerces-c-dev

    . on Mac, using Homebrew (see https://brew.sh): 
        $ brew install Xerces-C
                
      You may need to do the following in order for the compiler to find the Xerces-C headers/libraries (assuming Hombrew is installing packages under /opt/homebrew):
        $ export CPPFLAGS=$CPPFLAGS\ -I/opt/homebrew/include
        $ export LIBRARY_PATH=$LIBRARY_PATH:/opt/homebrew/lib

o IF setup

  . Set the $IF environment variable to refer the directory
    where IF software is installed (e.g. "/usr/local/IF"):

	bash :  export IF=/usr/local/IF
  
    Add into your $PATH variable the $IF/com and $IF/bin directories:
 
  	bash :	export PATH=$PATH:$IF/com:$IF/bin

    (We recommend inserting the above definitions in the .bashrc file.)



o Buiding IF binaries from source code

        $ cd src; make install

    (Cleaning object files after build: make clean)
